The PHP handler "fastcgi" is not registered - Allowed memory size exhausted

Refers to:

  • Plesk 11.5 for Windows
  • Plesk 11.5 for Linux

Created:

2016-11-16 13:18:29 UTC

Modified:

2016-12-21 20:25:08 UTC

0

Was this article helpful?


Have more questions?

Submit a request

The PHP handler "fastcgi" is not registered - Allowed memory size exhausted

Symptoms

Unable to create or update the subscription:

    The PHP handler "fastcgi" is not registered. It was probably deleted from the server. Register a handler with the same properties and try again.

Cause

PHP is misconfigured. PHP version cannot be obtained.

Resolution

1) Check registered PHP versions:

# /usr/local/psa/admin/sbin/php_handlers_control --list
id: display name: version: type: cgi-bin: php.ini:
module 5.3.3 5.3.3 module /usr/bin/php5-cgi /etc/php5/cgi/php.ini
fastcgi 5.3.3 5.3.3 fastcgi /usr/bin/php5-cgi /etc/php5/cgi/php.ini
cgi 5.3.3 5.3.3 cgi /usr/bin/php5-cgi /etc/php5/cgi/php.ini

2) Try to check PHP version based on information above.

    #/usr/bin/php5-cgi  -c /etc/php5/cgi/php.ini -v

If you get the error below:

    PHP Fatal error:  Allowed memory size of 262144 bytes exhausted (tried to allocate 523800 bytes) in Unknown on line 0

3) Check memory limits in PHP.ini:

    #grep memory_limit /etc/php5/cgi/php.ini
memory_limit = 128MB

Make sure that there is no misprint: Change MB to M in 128MB.

4) Execute command:

# /usr/local/psa/admin/sbin/php_handlers_control --reread
Have more questions? Submit a request
Please sign in to leave a comment.